/* === MAIN === */

@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap');

*{-webkit-font-smoothing:antialiased}

*{
	margin:0;
	padding:0;
	border:0;
}

*,
*::after,
*::before {
    box-sizing: border-box;
}

:root {
  --main-dark-color: #241f1e;
  --main-dark-color-invisible: #241f1e00;
  --main-medium-color: #7C2C13; /* was rgb(40,30,30) */
  --main-light-color: #C3E1D0;
  --main-light-color-transparent: #C3E1D0CC;
  --main-light-color-invisible: #C3E1D000;
  --highlight-color: #FCEB30;
  
}

html, body {
    max-width: 100%;
    overflow: visible;
	/*overflow-x: hidden;*/
}

body {
	font-family: 'Quicksand', sans-serif;
	font-weight: 400;
	margin:auto;
	background-color:var(--main-dark-color);
}
@media all and (max-width: 868px) {
	body {
		font-size:130%;
	}
}
@media all and (min-width: 868px) {
	body {
		font-size:120%;
	}
}
@media all and (min-width: 1100px) {
	body {
		font-size:100%;
	}
}

h1 {
    font-family: "Source Code Pro", monospace;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
	font-size: 2.5em;
}
@media all and (min-width: 1100px) {
	h1 {
		font-size: 2em;
	}
}

h2 {
    font-family: "Source Code Pro", monospace;
    font-optical-sizing: auto;
    font-style: normal;
	font-size: 2em;
	font-weight: 400;
}

h3 {
	font-size: 1.7em;
	font-weight: 400;
}

a {
	color: white;
    text-decoration: none;
}

a:visited {
    color: rgb(250,240,240);
}

b {
    font-weight: 700;
}

.clearfix:after {
  	content:"";
  	clear:both;
  	display: block;
  	visibility: hidden;
  	font-size: 0;
  	height: 0;
}

p {line-height:1.5}

/* === NAVIGATION === */
nav {
    width: 100%;
    /*background-color: rgb(175,25,25);*/
    background-color: var(--main-dark-color);;
    z-index: 10;
    border-bottom: 3px var(--highlight-color) solid;
    position: sticky;
    top:0;
}
.nav-content {
    max-width: 1200px;
    margin:auto;
    padding:20px 40px;
    text-align: center;
}
.nav-lang {
    color: #FFF;
    text-align: right;
}
@media all and (min-width: 1100px) {
	.nav-content {
		text-align: left;
	}
    .nav-lang {
        color: #FFF;
        height:20px;
        margin-top:-22px;
    }
}

.nav-height {
    height: 70px;
}

/* === FULL WIDTH IMAGES === */
.bgpic {
    width:100%;
    /*background-color: rgb(175,25,25);*/
}

.bgpic.picture {
    /*background-attachment: fixed;*/
    padding: 80px 0 80px 0;
    /*background-image: url("../images/wallpapers-red.jpg");
    background-position: center;
    background-repeat: repeat;
    background-size: cover;*/
    background-color: var(--main-light-color);
}
@media all and (min-width: 1100px) {
	.bgpic.picture {
		background-attachment: fixed;
        background-size: auto;
	}
}

.bgpic.dark {
    background-color: var(--main-dark-color);
}

/* === GRIDS === */
.fullWidthBanner {
    max-width: 1200px;
    margin:auto;
}
.bannerCartel {
    background-color: var(--main-light-color-transparent);
    position:fixed;
    bottom:0;
    width:100%;
}

.fullWidthCartel {
    max-width: 1200px;
    background-color:var(--main-dark-color);
    margin:auto;
    padding:30px 40px;
    color:rgb(250,240,240);
}
.picture .fullWidthCartel {
    margin-bottom: 2em;
}
.fullWidthCartel p:first-of-type {
    margin-top: 1rem;
}
.fullWidthCartel img {
    max-height: 500px;
    max-width: 100%;
}
.fullWidthCartel a {
    text-decoration: underline;
}
.embedVideo {
    width: 100%;
    aspect-ratio: 16/9;
    max-width: 720px;
    max-height: 405px;
}

.fullWidthGrid {
    max-width: 1200px;
    margin:auto;
    padding:0px 40px 0px 40px;
    color:rgb(250,240,240);
    display:grid;
    row-gap: 1rem;
}
.dark .fullWidthGrid {
    padding-top: 80px;
    padding-bottom: 80px;
}

.grid-element {
    background-color: var(--main-dark-color);
    background-position: center;
    background-size: cover;
    padding: 2em;
    padding-bottom: 2em;
}

.grid-element h2 {
    text-align: center;
    margin-bottom: 0.5em;
}
.grid-element p {
    text-align: left;
    margin-bottom: 0.5em;
}
.grid-element h3 {
    text-align: center;
}
.grid-element.team p {
    text-align: center;
}

.grid-element.friend {
    border-radius: 1rem;
    border: 3px rgb(0,0,0,0) solid;
}
.grid-element.friend:hover {
    border: 3px var(--highlight-color) solid;
}

.projects .grid-element {
    height: 15em;
    padding: 0;
    /*background-color: rgb(175,25,25);*/
}
.projects .grid-element:hover {
    /*background-color: rgb(250,240,240);*/
    
}
.projects .grid-element p {
    text-align: center;
}
.projects .grid-element h2 {
    font-size: 1.7em;
}

.overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    position:relative;
    height:100%;
    background-color: var(--main-light-color-invisible);
    color: var(--main-dark-color-invisible);
}
.overlay:hover {
    background-color: var(--main-light-color-transparent);
    color: var(--main-dark-color);
}
.overlay h2 {
    padding: 0em 0.5em 0 0.5em;
}
.overlay p {
    padding: 0em 1em 0 1em;
    margin: 0;
}

/* Dynamic columns */
.twoCols {
    grid-template-columns: 1fr 1fr;
    column-gap: 1em;
}

@media all and (max-width: 868px) {
	.fourCols {
        grid-template-columns: 1fr 1fr;
        column-gap: 1rem;
    }
    .threeCols {
        grid-template-columns: 1fr 1fr;
        column-gap: 1rem;
    }
}
@media all and (min-width: 868px) {
	.fourCols {
        grid-template-columns: 1fr 1fr;
        column-gap: 1rem;
    }
    .threeCols {
        grid-template-columns: 1fr 1fr 1fr;
        column-gap: 1rem;
    }
}
@media all and (min-width: 1100px) {
	.fourCols {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        column-gap: 1rem;
    }
    .threeCols {
        grid-template-columns: 1fr 1fr 1fr;
        column-gap: 1rem;
    }
    /*
    nav {
        position: fixed;
    }
    .nav-height {
        display: block;
    }
    */
}



/* === FOOTER === */
footer {
	padding-top:80px;
	padding-bottom:80px;
}

#contact {
	width:100%;
	text-align:center;
	color:rgb(250,240,240);
}
